//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_GraySceneHandlerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(GraySceneHandler), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("SetGrayScene",FUNCTAG_SetGrayScene);
		L.RegVar("material",FUNCTAG_get_material, null);
		L.RegVar("shader",FUNCTAG_get_shader, null);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_SetGrayScene(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			GraySceneHandler obj = (GraySceneHandler)ToLua.CheckObject(L, 1, typeof(GraySceneHandler));
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.FUNCTAG_SetGrayScene(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_material(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			GraySceneHandler obj = (GraySceneHandler)o;
			UnityEngine.Material ret = obj.material;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index material on a nil value" : e.Message);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_get_shader(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			GraySceneHandler obj = (GraySceneHandler)o;
			UnityEngine.Shader ret = obj.shader;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o == null ? "attempt to index shader on a nil value" : e.Message);
		}
	}
}

